# $Revision: 1.23 $, $Date: 2011/02/19 18:45:20 $
Summary:	Character set conversion library - MinGW32 cross version
Summary(pl.UTF-8):	Biblioteka konwersji zestawów znaków - wersja skrośna dla MinGW32
%define		realname   libiconv
Name:		crossmingw32-%{realname}
Version:	1.13.1
Release:	1
License:	LGPL v2+
Group:		Development/Libraries
Source0:	http://ftp.gnu.org/gnu/libiconv/%{realname}-%{version}.tar.gz
# Source0-md5:	7ab33ebd26687c744a37264a330bbe9a
URL:		http://www.gnu.org/software/libiconv/
BuildRequires:	automake
BuildRequires:	crossmingw32-gcc
# because of broken w32 relink in libtool
BuildConflicts:	crossmingw32-libiconv < 1.10
Requires:	crossmingw32-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_strip	1

%define		target			i386-mingw32
%define		target_platform 	i386-pc-mingw32

%define		_sysprefix		/usr
%define		_prefix			%{_sysprefix}/%{target}
%define		_libdir			%{_prefix}/lib
%define		_dlldir			/usr/share/wine/windows/system
%define		__cc			%{target}-gcc
%define		__cxx			%{target}-g++
%define		filterout_ld	-Wl,-z,.*
%define		filterout	-gdwarf-3

%ifnarch %{ix86}
# arch-specific flags (like alpha's -mieee) are not valid for i386 gcc
%define		optflags	-O2
%endif
# -z options are invalid for mingw linker
%define		filterout_ld	-Wl,-z,.*

%description
The libiconv library provides an iconv() implementation, for use on
systems which don't have one, or whose implementation cannot convert
from/to Unicode.

This package contains the cross version for MinGW32.

%description -l pl.UTF-8
Ta biblioteka dostarcza implementację iconv() do używania z systemami,
które takiej funkcji nie posiadają, lub na których implementacja nie
potrafi konwertować z/do Unikodu.

Ten pakiet zawiera wersję skrośną dla MinGW32.

%package static
Summary:	Static iconv libraries (cross MinGW32 version)
Summary(pl.UTF-8):	Statyczne biblioteki iconv (wersja skrośna MinGW32)
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
Static iconv libraries (cross MinGW32 version).

%description static -l pl.UTF-8
Statyczne biblioteki iconv (wersja skrośna MinGW32).

%package dll
Summary:	DLL iconv libraries for Windows
Summary(pl.UTF-8):	Biblioteki DLL iconv dla Windows
Group:		Applications/Emulators
Requires:	wine

%description dll
DLL iconv libraries for Windows.

%description dll -l pl.UTF-8
Biblioteki DLL iconv dla Windows.

%prep
%setup -q -n %{realname}-%{version}

%build
cp -f /usr/share/automake/config.sub libcharset/build-aux
cp -f /usr/share/automake/config.sub build-aux
%configure \
	--target="%{target}" \
	--host="%{target}" \
	--enable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_dlldir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_prefix}/bin/*.dll $RPM_BUILD_ROOT%{_dlldir}

%if 0%{!?debug:1}
%{target}-strip -R.comment -R.note $RPM_BUILD_ROOT%{_dlldir}/*.dll
%{target}-strip -g -R.comment -R.note $RPM_BUILD_ROOT%{_libdir}/*.a
%endif

# not used on win32
rm -f $RPM_BUILD_ROOT%{_libdir}/charset.alias
# runtime only
rm -f $RPM_BUILD_ROOT%{_bindir}/iconv
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale

rm -rf $RPM_BUILD_ROOT%{_datadir}/{doc,man}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_libdir}/libcharset.dll.a
%{_libdir}/libiconv.dll.a
%{_libdir}/libcharset.la
%{_libdir}/libiconv.la
%{_includedir}/iconv.h
%{_includedir}/libcharset.h
%{_includedir}/localcharset.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libcharset.a
%{_libdir}/libiconv.a

%files dll
%defattr(644,root,root,755)
%{_dlldir}/libcharset-*.dll
%{_dlldir}/libiconv-*.dll

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: crossmingw32-libiconv.spec,v $
Revision 1.23  2011/02/19 18:45:20  wiget
- filter out some compiler and linker flags

Revision 1.22  2010/09/19 05:38:56  qboosh
- unified MinGW32 caps

Revision 1.21  2009/10/28 15:28:56  qboosh
- updated to 1.13.1

Revision 1.20  2009/04/11 08:54:08  qboosh
- updated to 1.13

Revision 1.19  2008/01/14 19:28:19  qboosh
- force %{_lib}-independent libdir

Revision 1.18  2007-11-30 21:13:51  qboosh
- updated to 1.12
- removed obsolete patch

Revision 1.17  2007-03-06 13:46:11  qboosh
- no private gcc dirs used here

Revision 1.16  2007/03/05 21:32:01  qboosh
- cleanup, separated -static

Revision 1.15  2007/02/25 15:00:00  czarny
- proper cross handling

Revision 1.14  2007/02/20 18:34:44  czarny
- clean up
- dlls added

Revision 1.13  2007/02/12 21:23:51  glen
- tabs in preamble

Revision 1.12  2007/02/12 00:48:43  baggins
- converted to UTF-8

Revision 1.11  2006/07/22 07:55:24  qboosh
- updated to 1.11

Revision 1.10  2005/08/14 23:55:09  qboosh
- updated to 1.10

Revision 1.9  2004/10/06 23:07:31  havner
- rel 3

Revision 1.8  2004/10/06 23:01:30  havner
- fixed config.sub location

Revision 1.7  2004/09/19 23:11:51  wolf
- rel 2
- amd64
- unified

Revision 1.6  2004/09/19 22:50:53  wolf
- alphasparc fix

Revision 1.5  2004/01/27 21:05:08  qboosh
- updated to 1.9.2

Revision 1.4  2003/12/01 21:40:31  qboosh
- updated to 1.9.1, updated patch, fixed files, don't include PE executables

Revision 1.3  2003/10/21 20:21:01  qboosh
- pl, removed bogus changelog, BR: crossmingw32-gcc

Revision 1.2  2003/08/29 23:30:33  ankry
- sync summaries / descriptions; some BR fixed

Revision 1.1  2003/08/25 20:36:16  ggodlewski
- 1st release
